Package twisted :: Package python :: Module runtime

[frames | no frames]

## Module twisted.python.runtime

Classes
`Platform` | Gives us information about the platform we're running on

Function Summary
| `shortPythonVersion()`

Variable Summary
`dict` | `_timeFunctions` = `{'win32': <built-in function time>}`
`dict` | `knownPlatforms` = `{'posix': 'posix', 'org.python.modules....`
`Platform` | `platform` = `<twisted.python.runtime.Platform instance at ...`
`str` | `platformType` = `'posix'`

Variable Details

### _timeFunctions

  Type:
    `dict`
  Value:

        {'win32': <built-in function time>}

### knownPlatforms

  Type:
    `dict`
  Value:

        {'java': 'java',
         'nt': 'win32',
         'org.python.modules.os': 'java',
         'posix': 'posix'}

### platform

  Type:
    `Platform`
  Value:

        <twisted.python.runtime.Platform instance at 0x82909c4>

### platformType

  Type:
    `str`
  Value:

        'posix'

Generated by Epydoc 2.0 on Sat May 15 20:08:22 2004 | http://epydoc.sf.net